﻿using System.Windows;
using System.Windows.Documents;
using Microsoft.Win32;

namespace RichText2Xaml
{
    public partial class MainWindow : Window
    {
        private SaveToXamlModel _model = new SaveToXamlModel();

        public MainWindow()
        {
            InitializeComponent();

            this.DataContext = _model;

            _model.CmdSaveToXaml = new DelegateCommand(
                (o) => true,
                (o) => Save());
        }

        private void Save()
        {
            var sfd = new SaveFileDialog()
            {
                Filter = "XAML File(.xaml)|*.xaml"
            };
            if (sfd.ShowDialog() == true)
            {
                _model.FileName = sfd.FileName;
                _model.Text = new TextRange(rtb.Document.ContentStart, rtb.Document.ContentEnd);
                _model.Save();
            }
        }
    }
}