﻿using System;
using System.IO;
using System.Windows;
using System.Windows.Documents;
using System.Windows.Input;

namespace RichText2Xaml
{
    public class SaveToXamlModel
    {
        public ICommand CmdSaveToXaml { get; set; }

        public TextRange Text { get; set; }

        public string FileName { get; set; }

        public void Save()
        {
            using (var fs = new FileStream(FileName, FileMode.Create))
            {
                Text.Save(fs, DataFormats.Xaml);
            }
        }
    }

    public class DelegateCommand : ICommand
    {
        private Predicate<object> _canExecute = (o) => { return false; };

        private Action<object> _execute = (o) => { };

        public event EventHandler CanExecuteChanged;

        public DelegateCommand(Predicate<object> canExecute, Action<object> execute)
        {
            _canExecute = canExecute;
            _execute = execute;
        }

        public bool CanExecute(object parameter) => _canExecute(parameter);

        public void Execute(object parameter) => _execute(parameter);
    }
}